GET /api/settings
List all settings

Params

Param name Description
search
optional

filter results

Validations:

  • String

order
optional

Sort and order by a searchable field, e.g. ‘<field> DESC’

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return, ‘all’ to return all results

Validations:

  • Must match regular expression /\A([1-9]\d*|all)\Z$/.

Returns

Code: 200

Description:

List of all settings

Param name Description
results
required

Validations:

  • Must be an array of any type

Search fields

Field name Type Possible values
description
id integer
name string

GET /api/settings/:id
Show a setting

Params

Param name Description
id
required

Validations:

  • String

Returns

Code: 200

Description:

Information about the setting

Param name Description
id
required

Alias for setting name

Validations:

  • String

name
required

Setting unique name

Validations:

  • String

full_name
required

Setting full user readable name

Validations:

  • String

category
required

The category of setting

Validations:

  • String

category_name
required

The human readable name of settings category

Validations:

  • String

settings_type
required

Value type, that the setting accepts

Validations:

  • String

description
required

Describes the purpose of the setting

Validations:

  • String

default
required

Default value for the setting

Validations:

  • String

value
required

Setting current value. If this setting is encypted, the value will not be returned

Validations:

  • String

readonly
required

Is this setting readonly?

Validations:

  • Must be one of: true, false, 1, 0.

config_file
required

Configuration file that controls the setting, if any

Validations:

  • String

encrypted
required

Is this setting encrypted?

Validations:

  • Must be one of: true, false, 1, 0.

select_values
required

If this setting has list of possible values, this includes the list of the values.

Validations:

  • Must be an array of any type

updated_at
required

Last updated. NOTE: this will be reset to application install time, when setting is reset to default value.

Validations:

  • Time


PUT /api/settings/:id
Update a setting

Params

Param name Description
id
required

Validations:

  • String

setting
required

Validations:

  • Hash

setting[value]
optional

Validations:

  • String

Returns

Code: 200

Description:

Information about the updated setting

Param name Description
id
required

Alias for setting name

Validations:

  • String

name
required

Setting unique name

Validations:

  • String

full_name
required

Setting full user readable name

Validations:

  • String

category
required

The category of setting

Validations:

  • String

category_name
required

The human readable name of settings category

Validations:

  • String

settings_type
required

Value type, that the setting accepts

Validations:

  • String

description
required

Describes the purpose of the setting

Validations:

  • String

default
required

Default value for the setting

Validations:

  • String

value
required

Setting current value. If this setting is encypted, the value will not be returned

Validations:

  • String

readonly
required

Is this setting readonly?

Validations:

  • Must be one of: true, false, 1, 0.

config_file
required

Configuration file that controls the setting, if any

Validations:

  • String

encrypted
required

Is this setting encrypted?

Validations:

  • Must be one of: true, false, 1, 0.

select_values
required

If this setting has list of possible values, this includes the list of the values.

Validations:

  • Must be an array of any type

updated_at
required

Last updated. NOTE: this will be reset to application install time, when setting is reset to default value.

Validations:

  • Time